Skip to content
Start here

List submitted abuse reports

GET/accounts/{account_id}/abuse-reports/submitted

List abuse reports submitted by the account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
Path ParametersExpand Collapse
account_id: string
maxLength32
Query ParametersExpand Collapse
id: optional string

Filter by report code.

created_after: optional string

Return reports submitted after this time.

formatdate-time
created_before: optional string

Return reports submitted before this time.

formatdate-time
domain: optional array of string

Filter by reported domain. This parameter can be specified multiple times.

page: optional number

Page of submitted reports to return.

minimum1
per_page: optional number

Number of submitted reports per page.

maximum200
minimum1
sort: optional string

A property and direction to sort by (id, cdate, domain, type, status).

status: optional array of "submitted" or "accepted" or "denied"

Filter by submitter-facing status. This parameter can be specified multiple times.

One of the following:
"submitted"
"accepted"
"denied"
type: optional array of "PHISH" or "GEN" or "THREAT" or 6 more

Filter by report type. This parameter can be specified multiple times.

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
ReturnsExpand Collapse
result: object { reports }
reports: array of object { id, cdate, denial_reason, 4 more }
id: string

Public report code.

cdate: string

Time the report was submitted.

formatdate-time
denial_reason: "unable_to_confirm" or "incomplete_report" or "not_on_cloudflare" or 10 more

Submitter-safe reason for a denied report. Null when unavailable.

One of the following:
"unable_to_confirm"
"incomplete_report"
"not_on_cloudflare"
"duplicate_report"
"content_removed"
"report_details_mismatch"
"no_abuse_found"
"missing_original_work"
"direct_url_required"
"wrong_report_category"
"content_unavailable"
"law_enforcement_referral_required"
"domain_dispute_process_required"
domain: string

Domain identified in the report.

status: "submitted" or "accepted" or "denied"

Status visible to the account that submitted the report.

One of the following:
"submitted"
"accepted"
"denied"
type: "PHISH" or "GEN" or "THREAT" or 6 more

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
submitter: optional object { company, email, name, telephone }

Information about the submitter of the report.

company: optional string
email: optional string
name: optional string
telephone: optional string
success: boolean
errors: optional array of object { message, code }
message: string
code: optional string or number
One of the following:
string
number
messages: optional array of object { message }
message: string
result_info: optional object { count, page, per_page, 2 more }
count: number
page: number
per_page: number
total_count: number
total_pages: number

List submitted abuse reports

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/abuse-reports/submitted \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2019-12-27T18:11:19.117Z",
        "denial_reason": "unable_to_confirm",
        "domain": "domain",
        "status": "submitted",
        "type": "PHISH",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        }
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2019-12-27T18:11:19.117Z",
        "denial_reason": "unable_to_confirm",
        "domain": "domain",
        "status": "submitted",
        "type": "PHISH",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        }
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}